| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
AppliedAnnotation Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure AppliedAnnotation defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | AppliedAnnotation ()
| Default constructor.
eProsima_user_DllExport | ~AppliedAnnotation ()
| Default destructor.
eProsima_user_DllExport | AppliedAnnotation (const AppliedAnnotation &x)
| Copy constructor.
eProsima_user_DllExport | AppliedAnnotation (AppliedAnnotation &&x) noexcept
| Move constructor.
eProsima_user_DllExport AppliedAnnotation & | operator= (const AppliedAnnotation &x)
| Copy assignment.
eProsima_user_DllExport AppliedAnnotation & | operator= (AppliedAnnotation &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const AppliedAnnotation &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const AppliedAnnotation &x) const
| Comparison operator.
eProsima_user_DllExport void | annotation_typeid (const TypeIdentifier &_annotation_typeid)
| This function copies the value in member annotation_typeid.
eProsima_user_DllExport void | annotation_typeid (TypeIdentifier &&_annotation_typeid)
| This function moves the value in member annotation_typeid.
eProsima_user_DllExport const TypeIdentifier & | annotation_typeid () const
| This function returns a constant reference to member annotation_typeid.
eProsima_user_DllExport TypeIdentifier & | annotation_typeid ()
| This function returns a reference to member annotation_typeid.
eProsima_user_DllExport void | param_seq (const eprosima::fastcdr::optional< AppliedAnnotationParameterSeq > &_param_seq)
| This function copies the value in member param_seq.
eProsima_user_DllExport void | param_seq (eprosima::fastcdr::optional< AppliedAnnotationParameterSeq > &&_param_seq)
| This function moves the value in member param_seq.
eProsima_user_DllExport const eprosima::fastcdr::optional< AppliedAnnotationParameterSeq > & | param_seq () const
| This function returns a constant reference to member param_seq.
eProsima_user_DllExport eprosima::fastcdr::optional< AppliedAnnotationParameterSeq > & | param_seq ()
| This function returns a reference to member param_seq.

## Detailed Description

This class represents the structure AppliedAnnotation defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ AppliedAnnotation() [1/3]

eProsima_user_DllExport AppliedAnnotation | ( |  | ) |

inline

Default constructor.

## ◆ ~AppliedAnnotation()

eProsima_user_DllExport ~AppliedAnnotation | ( |  | ) |

inline

Default destructor.

## ◆ AppliedAnnotation() [2/3]

eProsima_user_DllExport AppliedAnnotation | ( | const AppliedAnnotation & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object AppliedAnnotation that will be copied.

## ◆ AppliedAnnotation() [3/3]

eProsima_user_DllExport AppliedAnnotation | ( | AppliedAnnotation && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object AppliedAnnotation that will be copied.

## Member Function Documentation

## ◆ annotation_typeid() [1/4]

eProsima_user_DllExport TypeIdentifier & annotation_typeid | ( |  | ) |

inline

This function returns a reference to member annotation_typeid.

Returns
  Reference to member annotation_typeid

## ◆ annotation_typeid() [2/4]

eProsima_user_DllExport const TypeIdentifier & annotation_typeid | ( |  | ) | const

inline

This function returns a constant reference to member annotation_typeid.

Returns
  Constant reference to member annotation_typeid

## ◆ annotation_typeid() [3/4]

eProsima_user_DllExport void annotation_typeid | ( | const TypeIdentifier & | _annotation_typeid | ) |

inline

This function copies the value in member annotation_typeid.

Parameters

  _annotation_typeid | New value to be copied in member annotation_typeid

## ◆ annotation_typeid() [4/4]

eProsima_user_DllExport void annotation_typeid | ( | TypeIdentifier && | _annotation_typeid | ) |

inline

This function moves the value in member annotation_typeid.

Parameters

  _annotation_typeid | New value to be moved in member annotation_typeid

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const AppliedAnnotation & | x | ) | const

inline

Comparison operator.

Parameters

  x | AppliedAnnotation object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport AppliedAnnotation & operator= | ( | AppliedAnnotation && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object AppliedAnnotation that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport AppliedAnnotation & operator= | ( | const AppliedAnnotation & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object AppliedAnnotation that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const AppliedAnnotation & | x | ) | const

inline

Comparison operator.

Parameters

  x | AppliedAnnotation object to compare.

## ◆ param_seq() [1/4]

eProsima_user_DllExport eprosima::fastcdr::optional< AppliedAnnotationParameterSeq > & param_seq | ( |  | ) |

inline

This function returns a reference to member param_seq.

Returns
  Reference to member param_seq

## ◆ param_seq() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::optional< AppliedAnnotationParameterSeq > & param_seq | ( |  | ) | const

inline

This function returns a constant reference to member param_seq.

Returns
  Constant reference to member param_seq

## ◆ param_seq() [3/4]

eProsima_user_DllExport void param_seq | ( | const eprosima::fastcdr::optional< AppliedAnnotationParameterSeq > & | _param_seq | ) |

inline

This function copies the value in member param_seq.

Parameters

  _param_seq | New value to be copied in member param_seq

## ◆ param_seq() [4/4]

eProsima_user_DllExport void param_seq | ( | eprosima::fastcdr::optional< AppliedAnnotationParameterSeq > && | _param_seq | ) |

inline

This function moves the value in member param_seq.

Parameters

  _param_seq | New value to be moved in member param_seq

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp